Summary: ccaudio - a C++ class framework for processing audio files.
Name: ccaudio
Version: 0.2.1
Release: 1
Group: Development/Libraries
Source: ccaudio-%{PACKAGE_VERSION}.tar.gz
Prefix: /usr
Copyright: GPL
BuildRoot: %{_tmppath}/ccaudio-root
Packager: David Sugar <dyfet@ostel.com>

%description
The OST ccaudio package offers a highly portable C++ class framework for
developing applications which manipulate audio streams and various
disk based audio file formats.  At the moment ccaudio is primarly a class
framework for handling .au, .wav (RIFF), and various .raw audio encoding
formats under Posix and win32 systems, though it may expand to become a
general purpose audio and soundcard support library.  Support for
controlling CD audio devices has recently been added.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}

%build
uname -a|grep SMP && make -j 2 || make

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} install

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README TODO ChangeLog doc
/usr/lib/libcc*
/usr/include/cc++/audio.h

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

